"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.footer = footer;
const utils_1 = require("../../../../utils");
function footer(context) {
    const hideGenerator = context.options.getValue("hideGenerator");
    if (hideGenerator)
        return;
    const message = context.i18n.theme_generated_using_typedoc();
    // Only handles one occurrence, but that's all I expect...
    const index = message.indexOf("TypeDoc");
    let display;
    if (index == -1) {
        display = utils_1.JSX.createElement("p", { class: "tsd-generator" }, message);
    }
    else {
        const pre = message.substring(0, index);
        const post = message.substring(index + "TypeDoc".length);
        display = (utils_1.JSX.createElement("p", { class: "tsd-generator" },
            pre,
            utils_1.JSX.createElement("a", { href: "https://typedoc.org/", target: "_blank" }, "TypeDoc"),
            post));
    }
    return (utils_1.JSX.createElement("footer", null,
        context.hook("footer.begin"),
        hideGenerator || display,
        context.hook("footer.end")));
}
